Bug 1141391 (CVE-2014-3184) - CVE-2014-3184 Kernel: HID: off by one error in various _report_fixup routines
Summary: CVE-2014-3184 Kernel: HID: off by one error in various _report_fixup routines
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3184
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1141392 1141393 1141394 1141395 1141396
Blocks: 1140968
TreeView+ depends on / blocked
 
Reported: 2014-09-13 00:35 UTC by Prasad J Pandit
Modified: 2019-09-29 13:21 UTC (History)
28 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Multiple out-of-bounds write flaws were found in the way the Cherry Cymotion keyboard driver, KYE/Genius device drivers, Logitech device drivers, Monterey Genius KB29E keyboard driver, Petalynx Maxter remote control driver, and Sunplus wireless desktop driver handled HID reports with an invalid report descriptor size. An attacker with physical access to the system could use either of these flaws to write data past an allocated memory buffer.
Clone Of:
Environment:
Last Closed: 2015-07-22 19:28:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1318 normal SHIPPED_LIVE Moderate: Red Hat Enterprise MRG Realtime 2.5 security and enhancement update 2014-09-29 23:41:06 UTC
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-10 01:33:29 UTC
Red Hat Product Errata RHSA-2015:1272 normal SHIPPED_LIVE Moderate: kernel security, bug fix, and enhancement update 2015-07-22 11:56:25 UTC

Description Prasad J Pandit 2014-09-13 00:35:05 UTC
Linux kernel built with the Human Interface Device(HID) Bus support(CONFIG_HID)
along with a driver for

 Cherry Cymotion keyboard support(CONFIG_HID_CHERRY)
 KYE/Genius devices support(CONFIG_HID_KYE)
 Logitech devices support(CONFIG_HID_LOGITECH)
 Monterey Genius KB29E keyboard support(CONFIG_HID_MONTEREY)
 Petalynx Maxter remote control support(CONFIG_HID_PETALYNX)
 Sunplus wireless desktop support(CONFIG_HID_SUNPLUS)

is vulnerable to an OOB write flaw. It could occur if an HID device report
offers an invalid report descriptor size.

A local user with physical access to the system could use this flaw to write
past an allocated memory buffer. This is mostly a non issue as the allocated
memory buffer comes with the padding bytes used for alignment purposes.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/4ab25786c87eb20857bbb715c3ae34ec8fd6a214

Comment 1 Prasad J Pandit 2014-09-13 00:38:12 UTC
Statement:

This issue did not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

Comment 4 Prasad J Pandit 2014-09-13 00:45:22 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1141396]

Comment 5 errata-xmlrpc 2014-09-29 19:42:15 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:1318 https://rhn.redhat.com/errata/RHSA-2014-1318.html

Comment 6 Martin Prpič 2014-09-30 10:47:58 UTC
IssueDescription:

Multiple out-of-bounds write flaws were found in the way the Cherry Cymotion keyboard driver, KYE/Genius device drivers, Logitech device drivers, Monterey Genius KB29E keyboard driver, Petalynx Maxter remote control driver, and Sunplus wireless desktop driver handled HID reports with an invalid report descriptor size. An attacker with physical access to the system could use either of these flaws to write data past an allocated memory buffer.

Comment 7 errata-xmlrpc 2014-12-09 20:35:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Comment 8 errata-xmlrpc 2015-07-22 08:16:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1272 https://rhn.redhat.com/errata/RHSA-2015-1272.html


Note You need to log in before you can comment on or make changes to this bug.